%def_enable check

Name: nasm
Version: 2.16.03
Release: alt1

Summary: The Netwide Assembler, a portable x86 assembler with Intel-like syntax
License: BSD-2-Clause
Group: Development/Other
Url: http://www.nasm.us/

Vcs: https://github.com/netwide-assembler/nasm.git
Source: http://www.nasm.us/pub/nasm/releasebuilds/%version/nasm-%version.tar.bz2
Source1: https://www.nasm.us/pub/nasm/releasebuilds/%version/%name-%version-xdoc.tar.xz

# Support for the rdf format has been discontinued and all the RDOFF
# utilities has been removed.
Obsoletes: %name-rdoff < 2.16.01

BuildRequires: ghostscript-utils groff-base xmlto asciidoc-a2x
BuildRequires: perl-Font-TTF perl-Sort-Versions
# some fonts required, see doc/psfonts.ph
BuildRequires: fonts-otf-adobe-source-code-pro fonts-otf-adobe-source-sans-pro fonts-ttf-liberation
%{?_enable_check:BuildRequires: python3}

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%package doc
Summary: Extensive documentation for NASM
Group: Development/Other
Conflicts: %name < %version
BuildArch: noarch

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
PostScript and text formats.

%prep
%setup
tar Jxf %SOURCE1 --strip-components 1

%build
%configure
%make_build everything

%install
%makeinstall_std

cd doc
gzip -9f *.txt *.ps || true
cd html
ln -sf nasmdoc0.html index.html

%check
python3 travis/nasm-t.py run

%files
%doc CHANGES AUTHORS README* doc/internal.doc
%_bindir/nasm
%_bindir/ndisasm
%_man1dir/nasm.1*
%_man1dir/ndisasm.1*

%files doc
%doc doc/nasmdoc.pdf doc/nasmdoc.txt.gz doc/html

%changelog
* Wed May 01 2024 Yuri N. Sedunov <aris@altlinux.org> 2.16.03-alt1
- 2.16.03

* Wed Apr 12 2023 Yuri N. Sedunov <aris@altlinux.org> 2.16.01-alt1
- 2.16.01

* Wed Mar 09 2022 Yuri N. Sedunov <aris@altlinux.org> 2.15.05-alt1.1
- doc/psfonts.ph: renamed SourceSans font family to fix docs build (fc)

* Sat Aug 29 2020 Yuri N. Sedunov <aris@altlinux.org> 2.15.05-alt1
- 2.15.05
- enabled %%check

* Fri Aug 21 2020 Yuri N. Sedunov <aris@altlinux.org> 2.15.04-alt1
- 2.15.04

* Sat Jul 18 2020 Yuri N. Sedunov <aris@altlinux.org> 2.15.03-alt1
- 2.15.03

* Thu Jul 02 2020 Yuri N. Sedunov <aris@altlinux.org> 2.15.02-alt1
- 2.15.02

* Sun Jun 28 2020 Yuri N. Sedunov <aris@altlinux.org> 2.15.01-alt1
- 2.15.01
- fixed License tag

* Wed Dec 26 2018 Yuri N. Sedunov <aris@altlinux.org> 2.14.02-alt1
- 2.14.02

* Mon Dec 24 2018 Yuri N. Sedunov <aris@altlinux.org> 2.14.01-alt1
- 2.14.01

* Wed Nov 21 2018 Yuri N. Sedunov <aris@altlinux.org> 2.14-alt1
- 2.14

* Thu Feb 08 2018 Yuri N. Sedunov <aris@altlinux.org> 2.13.03-alt1
- 2.13.03

* Tue Jan 16 2018 Yuri N. Sedunov <aris@altlinux.org> 2.13.02-alt1
- 2.13.02

* Mon Jul 25 2016 Yuri N. Sedunov <aris@altlinux.org> 2.12.02-alt1
- 2.12.02

* Wed Mar 11 2015 Yuri N. Sedunov <aris@altlinux.org> 2.11.08-alt1
- 2.11.08

* Wed Dec 31 2014 Yuri N. Sedunov <aris@altlinux.org> 2.11.05-alt1
- 2.11.05

* Fri Mar 16 2012 Victor Forsiuk <force@altlinux.org> 2.10-alt1
- 2.10

* Sun Nov 27 2011 Victor Forsiuk <force@altlinux.org> 2.09.10-alt1
- 2.09.10

* Wed Jul 22 2009 Victor Forsyuk <force@altlinux.org> 2.07-alt1
- 2.07
- NB: nasm is now licensed under the 2-clause (simplified) BSD license.

* Tue Jun 30 2009 Victor Forsyuk <force@altlinux.org> 2.06-alt1
- 2.06

* Thu Nov 06 2008 Victor Forsyuk <force@altlinux.org> 2.05.01-alt1
- 2.05.01

* Fri Oct 24 2008 Victor Forsyuk <force@altlinux.org> 2.05-alt1
- 2.05

* Fri Oct 03 2008 Victor Forsyuk <force@altlinux.org> 2.04-alt1
- 2.04

* Fri Aug 01 2008 Victor Forsyuk <force@altlinux.org> 2.03.01-alt1
- 2.03.01

* Tue Jun 10 2008 Victor Forsyuk <force@altlinux.org> 2.03-alt1
- 2.03

* Mon Mar 31 2008 Victor Forsyuk <force@altlinux.org> 2.02-alt1
- 2.02

* Mon Jan 21 2008 Victor Forsyuk <force@altlinux.org> 2.01-alt1
- 2.01

* Fri Nov 30 2007 Victor Forsyuk <force@altlinux.org> 2.00-alt1
- 2.00

* Mon Nov 05 2007 Victor Forsyuk <force@altlinux.org> 0.99.06-alt1
- 0.99.06

* Fri Sep 28 2007 Victor Forsyuk <force@altlinux.org> 0.99.04-alt1
- 0.99.04 (this version fixes segfault in building libglide3-20050815).

* Mon Sep 24 2007 Victor Forsyuk <force@altlinux.org> 0.99.03-alt1
- 0.99.03

* Thu May 26 2005 Victor Forsyuk <force@altlinux.ru> 0.98.39-alt1
- 0.98.39
- Fix yet another vsprintf buffer overflow (RH#152963).

* Mon Jan 24 2005 Stanislav Ievlev <inger@altlinux.org> 0.98.35-alt2
- CAN-2004-1287

* Tue Sep 30 2003 Stanislav Ievlev <inger@altlinux.ru> 0.98.35-alt1.1
- removed patch "boguself2" (this is RH's patch and RH remove it)
- fix building in hasher

* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.98.35-alt1
- 0.98.35
- Rebuilt in new environment
- Added buildrequires

* Fri May 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.98.32-alt1
- 0.98.32

* Thu Jan 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.98.22-alt1
- 0.98.22
- Added bouself patch

* Thu Jan 03 2002 Stanislav Ievlev <inger@altlinux.ru> 0.98.08-alt2
- fixed bug  #0000305

* Wed Dec 05 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.98.08-alt1
- 0.98.08
- Some spec cleanup

* Tue Jan  2 2001 Kostya Timoshenko <kt@petr.kz>
- Build for RE
